Run of lintian-fixes for crrcsim

Try this locally (using the lintian-brush package):

debcheckout crrcsim
cd crrcsim
lintian-brush
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
Opening branch at https://salsa.debian.org/debian/crrcsim.git/,branch=master
Using cached branch file:///home/janitor/vcs/git/crrcsim/,branch=master
Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
Assuming changelog does not need to be updated, since there are Gbp-Dch stanzas in commit messages Specify --update-changelog to override.
Elapsed time: 0:26:44.097354
INFO:brz:Elapsed time: 0:26:44.097354
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/debian/build.py", line 163, in build
    subprocess.check_call(
  File "/usr/lib/python3.9/subprocess.py", line 373, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python3', '-m', 'breezy', 'builddeb', '--guess-upstream-branch-url', '--builder=sbuild -s -A -v', '--result-dir=/home/janitor/tmp/tmp8grek8bu']' returned non-zero exit status 3.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/debian/build.py", line 181, in build_once
    build(
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/debian/build.py", line 167, in build
    raise BuildFailedError()
breezy.plugins.debian.builder.BuildFailedError: The build failed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/debian/fix_build.py", line 588, in build_incrementally
    return attempt_build(
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/debian/build.py", line 233, in attempt_build
    return build_once(
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/debian/build.py", line 192, in build_once
    raise worker_failure_from_sbuild_log(f)
buildlog_consultant.sbuild.SbuildFailure: ('build', 'missing library: CGAL')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 692, in <module>
    sys.exit(main())
  File "/home/janitor/debian-janitor/janitor/worker.py", line 640, in main
    with process_package(
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 535, in process_package
    target.build(ws, subpath, output_directory, env)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 360, in build
    (changes_name, cl_version) = build_incrementally(
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/debian/fix_build.py", line 634, in build_incrementally
    if not resolve_error(e.error, context, fixers):
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/fix_build.py", line 107, in resolve_error
    made_changes = fixer.fix(error, context)
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/debian/fix_build.py", line 126, in fix
    package = self.apt_resolver.resolve(req)
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/resolver/apt.py", line 612, in resolve
    return resolve_requirement_apt(self.apt, req)
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/resolver/apt.py", line 562, in resolve_requirement_apt
    return rr_fn(apt_mgr, req)
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/resolver/apt.py", line 322, in resolve_library_req
    pkg_name = apt_mgr.get_package_for_paths(paths, regex=True)
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/debian/apt.py", line 79, in get_package_for_paths
    return get_package_for_paths(paths, self.searchers(), regex=regex)
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/debian/apt.py", line 64, in searchers
    AptContentsFileSearcher.from_session(self.session),
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/debian/apt.py", line 126, in from_session
    return cls.from_sources_list(
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/debian/apt.py", line 237, in from_sources_list
    return cls.from_urls(urls, cache_dirs=cache_dirs)
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/debian/apt.py", line 174, in from_urls
    f = cls._load_cache_file(url, cache_dir)
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/debian/apt.py", line 165, in _load_cache_file
    import lz4.frame
ModuleNotFoundError: No module named 'lz4'

Full worker log Full build log